Lollypop crashing on launch

Hi
Recently I have installed the Lollypop music player (as RPM, not flatpak), but it won’t launch; it crashes and doesn’t even open a window, all I see is a crash notification.
I tried to install it as flatpak and it works, but I don’t want it because it requires way more storage space.
What can I do?

Hello @amitgold Welcome to the community! Please do take a few minutes to go over the introductory posts in #start-here when you have the time. They contain lots of useful information.

  1. How did you install it? via dnf, it available in :fedora: repo
sudo dnf install lollypop # should be enough
  1. Open a terminal and execute lollypop and see the message

Regards.,

Yes, I have installed it via dnf.

The error message:

    Traceback (most recent call last):
      File "/usr/bin/lollypop", line 45, in <module>
        from lollypop.application import Application
      File "/usr/lib/python3.7/site-packages/lollypop/application.py", line 54, in <module>
        from lollypop.helper_art import ArtHelper
      File "/usr/lib/python3.7/site-packages/lollypop/helper_art.py", line 15, in <module>
        from PIL import Image, ImageFilter
    ModuleNotFoundError: No module named 'PIL'

What fedora version we are talking about?

you can try to update from update-testing repo

sudo dnf update --enablerepo=updates-testing lollypop

and try again

Regards.,

It works now! Thanks!
Why doesn’t it work on the stable branch?

All updates first go through the QA (Quality Assurance) process. So, they are pushed to the updates-testing repository and when community members like you have tested these out and provided karma to say that the update works and fixes the bugs it is supposed to, these packages are then pushed to the stable repositories. You can read more on this here:

https://ask.fedoraproject.org/t/how-can-i-test-updates-and-provide-karma/1360/3

And now that you’ve tested this update out, you can let the maintainer know that it works by giving it positive karma too:

https://bodhi.fedoraproject.org/updates/?packages=lollypop

You also get badges for helping the community. Take a look at:

https://badges.fedoraproject.org/

2 Likes

I have to say that package from stable repository launches ok for me (though I don’t use it, installed it just to test the issue).

1 Like

+1

From the error message, the issue was a missing python3-pillow package that provides the PIL module. I’m not sure why it wasn’t installed already—perhaps it wasn’t listed as a dependency by the package in the past. The new version does not fix any bugs or mention this. So I think installing the updated version must’ve just pulled in python3-pillow and that would’ve fixed the issue.

In my case python3-pillow was installed by anaconda - i.e. on system installation. Maybe @amitgold removed it manually at some point?

@amitgold, which Fedora version do you use now (30 or 29), and did you install it as new installation, or upgraded from previous one?

I am using Fedora 30, and it was a fresh new installation.
I don’t remember removing python manually, maybe I removed it by accident…

Using netinstall or live?

I think it was live; I had the live environment.

If anyone is interested, @amitgold can check if anything was done with python3-pillow package with:

sudo dnf history python3-pillow

It would list all dnf transactions (I’m not sure about package operations done with Gnome Software) which had touched python3-pillow in any way.

sudo dnf history info <number_of_transaction>

will show details about any transaction.

But basically, looks like the problem is solved. Maybe there should be bug opened for package maintainer to include python3-pillow as dependency for lollypop package – i’m not sure in this case.

It is now—I checked the latest specfile. That’s sort of what confused me about the error.